package xhttp3.internal.http;

import java.text.DateFormat;
import java.text.ParsePosition;
import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.Locale;
import xhttp3.internal.Util;

public final class HttpDate {
   public static final long MAX_DATE = 253402300799999L;
   private static final ThreadLocal<DateFormat> STANDARD_DATE_FORMAT = new ThreadLocal<DateFormat>() {
      protected DateFormat initialValue() {
         SimpleDateFormat var10000 = new SimpleDateFormat("EEE, dd MMM yyyy HH:mm:ss 'GMT'", Locale.US);
         var10000.setLenient(false);
         var10000.setTimeZone(Util.UTC);
         return var10000;
      }
   };
   private static final String[] BROWSER_COMPATIBLE_DATE_FORMAT_STRINGS;
   private static final DateFormat[] BROWSER_COMPATIBLE_DATE_FORMATS;

   public static Date parse(String value) {
      if (value.length() == 0) {
         return null;
      } else {
         ParsePosition var1;
         ParsePosition var10000 = var1 = new ParsePosition;
         var10000.<init>(0);
         Date var2 = ((DateFormat)STANDARD_DATE_FORMAT.get()).parse(value, var1);
         if (var10000.getIndex() == value.length()) {
            return var2;
         } else {
            String[] var97;
            String[] var99 = var97 = BROWSER_COMPATIBLE_DATE_FORMAT_STRINGS;
            synchronized(var99){}
            int var3 = 0;

            boolean var10001;
            Throwable var100;
            int var101;
            try {
               var101 = var99.length;
            } catch (Throwable var96) {
               var100 = var96;
               var10001 = false;
               throw var100;
            }

            for(int var4 = var101; var3 < var4; ++var3) {
               DateFormat[] var102;
               try {
                  var102 = BROWSER_COMPATIBLE_DATE_FORMATS;
               } catch (Throwable var95) {
                  var100 = var95;
                  var10001 = false;
                  throw var100;
               }

               DateFormat[] var5 = var102;

               DateFormat var103;
               try {
                  var103 = var102[var3];
               } catch (Throwable var94) {
                  var100 = var94;
                  var10001 = false;
                  throw var100;
               }

               Object var6 = var103;
               if (var103 == null) {
                  SimpleDateFormat var10002;
                  int var104;
                  try {
                     var102 = var5;
                     var104 = var3;
                     var10002 = new SimpleDateFormat;
                  } catch (Throwable var93) {
                     var100 = var93;
                     var10001 = false;
                     throw var100;
                  }

                  SimpleDateFormat var10003 = var10002;
                  Object var10004 = var6 = var10002;

                  try {
                     var10004.<init>(BROWSER_COMPATIBLE_DATE_FORMAT_STRINGS[var3], Locale.US);
                     var10003.setTimeZone(Util.UTC);
                     var102[var104] = var10002;
                  } catch (Throwable var92) {
                     var100 = var92;
                     var10001 = false;
                     throw var100;
                  }
               }

               Date var105;
               try {
                  var10000 = var1;
                  var1.setIndex(0);
                  var105 = ((DateFormat)var6).parse(value, var1);
               } catch (Throwable var91) {
                  var100 = var91;
                  var10001 = false;
                  throw var100;
               }

               Date var98 = var105;

               try {
                  var101 = var10000.getIndex();
               } catch (Throwable var90) {
                  var100 = var90;
                  var10001 = false;
                  throw var100;
               }

               if (var101 != 0) {
                  try {
                     return var98;
                  } catch (Throwable var88) {
                     var100 = var88;
                     var10001 = false;
                     throw var100;
                  }
               }
            }

            try {
               return null;
            } catch (Throwable var89) {
               var100 = var89;
               var10001 = false;
               throw var100;
            }
         }
      }
   }

   public static String format(Date value) {
      return ((DateFormat)STANDARD_DATE_FORMAT.get()).format(value);
   }

   private HttpDate() {
   }

   static {
      BROWSER_COMPATIBLE_DATE_FORMATS = new DateFormat[(BROWSER_COMPATIBLE_DATE_FORMAT_STRINGS = new String[]{"EEE, dd MMM yyyy HH:mm:ss zzz", "EEEE, dd-MMM-yy HH:mm:ss zzz", "EEE MMM d HH:mm:ss yyyy", "EEE, dd-MMM-yyyy HH:mm:ss z", "EEE, dd-MMM-yyyy HH-mm-ss z", "EEE, dd MMM yy HH:mm:ss z", "EEE dd-MMM-yyyy HH:mm:ss z", "EEE dd MMM yyyy HH:mm:ss z", "EEE dd-MMM-yyyy HH-mm-ss z", "EEE dd-MMM-yy HH:mm:ss z", "EEE dd MMM yy HH:mm:ss z", "EEE,dd-MMM-yy HH:mm:ss z", "EEE,dd-MMM-yyyy HH:mm:ss z", "EEE, dd-MM-yyyy HH:mm:ss z", "EEE MMM d yyyy HH:mm:ss z"}).length];
   }
}
